Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class FOAF

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.FOAF

    public class FOAF

extends Vocabulary

The Fried Of A Friend vocabulary.

Field Summary
`org.openrdf.model.URI` | `accountName`
`org.openrdf.model.URI` | `accountServiceHomepage`
`org.openrdf.model.URI` | `Agent`
`org.openrdf.model.URI` | `aimChatID`
`org.openrdf.model.URI` | `based_near`
`org.openrdf.model.URI` | `birthday`
`org.openrdf.model.URI` | `currentProject`
`org.openrdf.model.URI` | `depiction`
`org.openrdf.model.URI` | `depicts`
`org.openrdf.model.URI` | `dnaChecksum`
`org.openrdf.model.URI` | `Document`
`org.openrdf.model.URI` | `family_name`
`org.openrdf.model.URI` | `firstName`
`org.openrdf.model.URI` | `fundedBy`
`org.openrdf.model.URI` | `geekcode`
`org.openrdf.model.URI` | `gender`
`org.openrdf.model.URI` | `givenname`
`org.openrdf.model.URI` | `Group`
`org.openrdf.model.URI` | `holdsAccount`
`org.openrdf.model.URI` | `homepage`
`org.openrdf.model.URI` | `icqChatID`
`org.openrdf.model.URI` | `Image`
`org.openrdf.model.URI` | `img`
`org.openrdf.model.URI` | `interest`
`org.openrdf.model.URI` | `isPrimaryTopicOf`
`org.openrdf.model.URI` | `jabberID`
`org.openrdf.model.URI` | `knows`
`org.openrdf.model.URI` | `logo`
`org.openrdf.model.URI` | `made`
`org.openrdf.model.URI` | `maker`
`org.openrdf.model.URI` | `mbox`
`org.openrdf.model.URI` | `mbox_sha1sum`
`org.openrdf.model.URI` | `member`
`org.openrdf.model.URI` | `membershipClass`
`org.openrdf.model.URI` | `msnChatID`
`org.openrdf.model.URI` | `myersBriggs`
`org.openrdf.model.URI` | `name`
`org.openrdf.model.URI` | `nick`
`static String` | `NS`
`org.openrdf.model.URI` | `OnlineAccount`
`org.openrdf.model.URI` | `OnlineChatAccount`
`org.openrdf.model.URI` | `OnlineEcommerceAccount`
`org.openrdf.model.URI` | `OnlineGamingAccount`
`org.openrdf.model.URI` | `Organization`
`org.openrdf.model.URI` | `page`
`org.openrdf.model.URI` | `pastProject`
`org.openrdf.model.URI` | `Person`
`org.openrdf.model.URI` | `PersonalProfileDocument`
`org.openrdf.model.URI` | `phone`
`org.openrdf.model.URI` | `plan`
`org.openrdf.model.URI` | `primaryTopic`
`org.openrdf.model.URI` | `Project`
`org.openrdf.model.URI` | `publications`
`org.openrdf.model.URI` | `schoolHomepage`
`org.openrdf.model.URI` | `sha1`
`org.openrdf.model.URI` | `surname`
`org.openrdf.model.URI` | `theme`
`org.openrdf.model.URI` | `thumbnail`
`org.openrdf.model.URI` | `tipjar`
`org.openrdf.model.URI` | `title`
`org.openrdf.model.URI` | `topic`
`org.openrdf.model.URI` | `topic_interest`
`org.openrdf.model.URI` | `weblog`
`org.openrdf.model.URI` | `workInfoHomepage`
`org.openrdf.model.URI` | `workplaceHomepage`
`org.openrdf.model.URI` | `yahooChatID`

Method Summary
`static FOAF` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

See Also:
  Constant Field Values

### topic_interest

    public final org.openrdf.model.URI topic_interest

### phone

    public final org.openrdf.model.URI phone

### icqChatID

    public final org.openrdf.model.URI icqChatID

### yahooChatID

    public final org.openrdf.model.URI yahooChatID

### member

    public final org.openrdf.model.URI member

### givenname

    public final org.openrdf.model.URI givenname

### birthday

    public final org.openrdf.model.URI birthday

### img

    public final org.openrdf.model.URI img

### name

    public final org.openrdf.model.URI name

### maker

    public final org.openrdf.model.URI maker

### tipjar

    public final org.openrdf.model.URI tipjar

### membershipClass

    public final org.openrdf.model.URI membershipClass

### accountName

    public final org.openrdf.model.URI accountName

### mbox_sha1sum

    public final org.openrdf.model.URI mbox_sha1sum

### geekcode

    public final org.openrdf.model.URI geekcode

### interest

    public final org.openrdf.model.URI interest

### depicts

    public final org.openrdf.model.URI depicts

### knows

    public final org.openrdf.model.URI knows

### homepage

    public final org.openrdf.model.URI homepage

### firstName

    public final org.openrdf.model.URI firstName

### surname

    public final org.openrdf.model.URI surname

### isPrimaryTopicOf

    public final org.openrdf.model.URI isPrimaryTopicOf

### page

    public final org.openrdf.model.URI page

### accountServiceHomepage

    public final org.openrdf.model.URI accountServiceHomepage

### depiction

    public final org.openrdf.model.URI depiction

### fundedBy

    public final org.openrdf.model.URI fundedBy

### title

    public final org.openrdf.model.URI title

### weblog

    public final org.openrdf.model.URI weblog

### logo

    public final org.openrdf.model.URI logo

### workplaceHomepage

    public final org.openrdf.model.URI workplaceHomepage

### based_near

    public final org.openrdf.model.URI based_near

### thumbnail

    public final org.openrdf.model.URI thumbnail

### primaryTopic

    public final org.openrdf.model.URI primaryTopic

### aimChatID

    public final org.openrdf.model.URI aimChatID

### made

    public final org.openrdf.model.URI made

### workInfoHomepage

    public final org.openrdf.model.URI workInfoHomepage

### currentProject

    public final org.openrdf.model.URI currentProject

### holdsAccount

    public final org.openrdf.model.URI holdsAccount

### publications

    public final org.openrdf.model.URI publications

### sha1

    public final org.openrdf.model.URI sha1

### gender

    public final org.openrdf.model.URI gender

### mbox

    public final org.openrdf.model.URI mbox

### myersBriggs

    public final org.openrdf.model.URI myersBriggs

### plan

    public final org.openrdf.model.URI plan

### pastProject

    public final org.openrdf.model.URI pastProject

### schoolHomepage

    public final org.openrdf.model.URI schoolHomepage

### family_name

    public final org.openrdf.model.URI family_name

### msnChatID

    public final org.openrdf.model.URI msnChatID

### theme

    public final org.openrdf.model.URI theme

### topic

    public final org.openrdf.model.URI topic

### dnaChecksum

    public final org.openrdf.model.URI dnaChecksum

### nick

    public final org.openrdf.model.URI nick

### jabberID

    public final org.openrdf.model.URI jabberID

### Person

    public final org.openrdf.model.URI Person

### PersonalProfileDocument

    public final org.openrdf.model.URI PersonalProfileDocument

### Project

    public final org.openrdf.model.URI Project

### OnlineChatAccount

    public final org.openrdf.model.URI OnlineChatAccount

### OnlineAccount

    public final org.openrdf.model.URI OnlineAccount

### Agent

    public final org.openrdf.model.URI Agent

### Group

    public final org.openrdf.model.URI Group

### OnlineGamingAccount

    public final org.openrdf.model.URI OnlineGamingAccount

### OnlineEcommerceAccount

    public final org.openrdf.model.URI OnlineEcommerceAccount

### Document

    public final org.openrdf.model.URI Document

### Organization

    public final org.openrdf.model.URI Organization

### Image

    public final org.openrdf.model.URI Image

Method Detail

### getInstance

    public static FOAF getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.